/*------------------------------------------
 Prototypy funkci knihovny pro komunikaci
 s radicem LCD 84x48 bodu
------------------------------------------*/

#include <avr/pgmspace.h>
#define normalni	0
#define inverzni	1

#define prepis		0
#define OR			1
#define AND			2
#define EXOR		3

void LCD_Send(unsigned char data);
void LCD_Init_SPI(void);
void LCD_Home(void);
void LCD_Cls(void);
void LCD_Text(prog_char *text, char rezim);
void LCD_Char(prog_char znak, char rezim);
void LCD_Int(unsigned int cislo, char rezim);
void LCD_CharInt(unsigned char cislo, char rezim);
void LCD_Pozice(unsigned char x, unsigned char y);
void LCD_PoziceExt(unsigned char x, unsigned char y);
void LCD_BitmapaInfo(unsigned char x, unsigned char y,unsigned char typ,unsigned int delka);
void LCD_BitmapaData(unsigned char data);
void LCD_VlastniZnak(unsigned char data[5], unsigned char pozice);
void LCD_ZobrazPixel(unsigned char x,unsigned char y);
